%define modulename youtube_dl_gui

Name: youtube-dl-gui
Version: 1.8.4
Release: alt1

Summary: Front-end GUI of the popular youtube-dl media downloader

License: Unlicense
Group: Networking/File transfer
Url: https://github.com/oleksis/youtube-dl-gui

# Source-url: https://github.com/oleksis/youtube-dl-gui/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar

Source1: youtube-dl-gui.desktop

BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext-tools

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro

# generated by 'epm restore --dry-run' from youtube-dl-gui/setup.py install_requires
%py3_use pypubsub >= 4.0.3
%py3_use polib >= 1.1.0
%py3_use wx <= 4.2.1
%py3_use wx >= 4.0.7

#BuildRequires: python3-module-json

Requires: %_bindir/xdg-open
Requires: python3-module-%modulename = %EVR

%description
A cross platform front-end GUI of the popular youtube-dl media downloader written in wxPython.

%package -n python3-module-%modulename
Summary: Youtube-dl-gui
Group: Development/Python3

BuildArch: noarch

Requires: python3-module-wx >= 4

%description -n python3-module-%modulename
Python module for youtube downloader with gui.

%prep
%setup

%build
%python3_build

%install
%python3_install
desktop-file-install \
--dir=%buildroot%_desktopdir \
%SOURCE1

%files
%doc AUTHORS LICENSE TODO
%_bindir/*
%_man1dir/*
%_desktopdir/youtube-dl-gui.desktop
%_pixmapsdir/youtube-dl-gui.png
%_iconsdir/hicolor/*/apps/*.*

%files -n python3-module-%modulename
%python3_sitelibdir/%modulename
%python3_sitelibdir/*.egg-info

%changelog
* Sat Jan 14 2023 Grigory Ustinov <grenka@altlinux.org> 1.8.4-alt1
- new version 1.8.4

* Mon Jul 18 2022 Vitaly Lipatov <lav@altlinux.ru> 1.8.3-alt1
- new version 1.8.3 (with rpmrb script)

* Wed Mar 30 2022 Stanislav Levin <slev@altlinux.org> 1.8.2-alt2
- Dropped excessive dependency on `twodict`.

* Sun Dec 19 2021 Vitaly Lipatov <lav@altlinux.ru> 1.8.2-alt1
- new version 1.8.2 (with rpmrb script)

* Sat Aug 14 2021 Vitaly Lipatov <lav@altlinux.ru> 1.7.0-alt1
- build new python3 / wx4 based version

* Wed Mar 14 2018 Andrey Bychkov <mrdrew@altlinux.org> 0.4-alt1
- Initial build for Sisyphus
